
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
public class recuperator1test
{
public static void main(String arg[]) throws RemoteException, VisADException
{
	String ihot_sivi="air";
	String icold_sivi="air";
	double mhoti=0.005;//kg/s
	double mcoldi=0.01;//kg/s
	double Li=0.4; //m
	double Wi=0.4; //m
	double dzi=2.0e-3;//m
	double dLi=0.02; //m
	int nplatei=40;
    recuperator1 r=new recuperator1(ihot_sivi,icold_sivi,mhoti,mcoldi,Li,Wi,dzi,dLi,nplatei);
    r.hesapla(60.0,20.0);
    System.out.println("Tsıcak giriş="+r.Thotin+"Tsıcak çıkış="+r.Thotout);
    System.out.println("Tsoğuk giriş="+r.Tcoldin+"Tsoğuk çıkış="+r.Tcoldout);
    Text.print(r.Tcold);
    Text.print(r.Thot);
    Text.print(r.UU);
    ContourPlot h=new ContourPlot(r.Tcold,0.0,Li,0.0,Wi,80,false,"T_sıcak derece C Rekuperatör sıcak taraf","x, m","y, m");
    ContourPlot c=new ContourPlot(r.Thot,0.0,Li,0.0,Wi,80,false,"T_soğuk derece C Rekuperatör soğuk taraf","x, m","y, m");
    ContourPlot u=new ContourPlot(r.UU,0.0,Li,0.0,Wi,40,true,"U ısı transfer katsayısı W/(m2K)","x, m","y, m");
    h.plot();
    c.plot();
    u.plot();
    double b1[][]=surfacePlot.convertdata(r.UU,0.0,r.L,0.0,r.W);
	f2a ff1=new f2a(b1,5);
	surfacePlot p1=new surfacePlot(ff1,0.0,Li,0.0,Wi,0.0,30.0,"x","y","U W/(m2K)",50);
    p1.plot();
    //double b2[][]=surfacePlot.convertdata(r.Thot,0.0,r.L,0.0,r.W);
	//f2a ff2=new f2a(b1,5);
	//surfacePlot p2=new surfacePlot(ff2,0.0,Li,0.0,Wi,r.Thotin,r.Thotout,"x","y","Thot degree C",50);
    //p2.plot();
    //Plot3D.data(r.Tcold,0,r.L,0,r.W,40,"x","y","T");
    //Plot3D.data(r.Thot,0,r.L,0,r.W,40,"x","y","T");
}	
}